package com.xh.common.util;

import android.content.Context;
import android.database.Cursor;
import android.provider.ContactsContract;
import com.xh.common.bean.PhoneContact;

import java.util.ArrayList;
import java.util.HashSet;
import java.util.List;
import java.util.Set;

public class PhoneContactUtil {
    public static List<PhoneContact> getContacts(Context context) {
        Set<String> numberSet = new HashSet<String>();
        List<PhoneContact> contactList = new ArrayList<PhoneContact>();
        Cursor pCur = null;
        try {
            pCur = context.getContentResolver().query(ContactsContract.CommonDataKinds.Phone.CONTENT_URI, null, null, null, ContactsContract.CommonDataKinds.Phone.DISPLAY_NAME);
            while (pCur.moveToNext()) {
                int contactId = pCur.getInt(pCur.getColumnIndex(ContactsContract.CommonDataKinds.Phone.CONTACT_ID));
                String phoneName = pCur.getString(pCur.getColumnIndex(ContactsContract.CommonDataKinds.Phone.DISPLAY_NAME));//显示名
                String phoneNumber = pCur.getString(pCur.getColumnIndex(ContactsContract.CommonDataKinds.Phone.NUMBER));//手机号
                String phoneUrl = pCur.getString(pCur.getColumnIndex(ContactsContract.CommonDataKinds.Phone.PHOTO_URI));//头像地址
                phoneNumber = phoneNumber.replaceAll(" ", "");
                if (phoneNumber.charAt(0) == '+' && phoneNumber.charAt(0) == '8' && phoneNumber.charAt(0) == '6') {
                    phoneNumber = phoneNumber.substring(3);
                }
                if (!numberSet.contains(phoneNumber)) {
                    numberSet.add(phoneNumber);
                    PhoneContact contact = new PhoneContact(contactId, phoneName, phoneNumber, phoneUrl);
                    contactList.add(contact);
                }
            }
        } finally {
            if (pCur != null) {
                pCur.close();
            }
        }
        return contactList;
    }
}
