package com.xh.common.util;

import android.app.Activity;
import android.content.ContentResolver;
import android.content.ContentUris;
import android.content.Intent;
import android.database.Cursor;
import android.net.Uri;
import android.provider.MediaStore;

import java.io.File;

public class PictureUtil {
	
	public static Intent getTakePictureIntent(Uri outputUri){
		Intent intent = new Intent(MediaStore.ACTION_IMAGE_CAPTURE);
		intent.putExtra(MediaStore.Images.Media.ORIENTATION, 0);
		intent.putExtra(MediaStore.EXTRA_OUTPUT, outputUri);
		return intent;
	}
	
	public static void dealWithTakePicture(Activity activity,Uri outputUri){
		Intent intent = new Intent(Intent.ACTION_MEDIA_SCANNER_SCAN_FILE,
				outputUri);
		activity.sendBroadcast(intent);
	}
	
	public static Uri getTakePictureUriInMedia(Activity activity,File outputFile){
		Uri systemImageUri = MediaStore.Images.Media.EXTERNAL_CONTENT_URI;
		ContentResolver contentResolver = activity.getContentResolver();
		Cursor cursor = contentResolver.query(systemImageUri, null,MediaStore.Images.Media.DISPLAY_NAME + "='"+ outputFile.getName() + "'", null, null);
		Uri photoUriInMedia = null;
		if (cursor != null && cursor.getCount() > 0) {
			cursor.moveToLast();
			long id = cursor.getLong(0);
			photoUriInMedia = ContentUris.withAppendedId(systemImageUri, id);
		}
		cursor.close();
		return photoUriInMedia;
	}
		
}