package com.xh.common.util;

import android.content.Context;
import android.provider.Settings;
import android.telephony.TelephonyManager;
import android.text.TextUtils;
import com.xh.common.db.Condition;

import java.util.ArrayList;
import java.util.List;
import java.util.UUID;
import java.util.regex.Matcher;
import java.util.regex.Pattern;

public class StringUtil {
    public static String getAndroidId(Context context) {
        TelephonyManager tm = (TelephonyManager) context.getSystemService(Context.TELEPHONY_SERVICE);
        String str1 = "" + tm.getDeviceId();
        String str2 = "" + tm.getSimSerialNumber();
        String s = "" + Settings.Secure.getString(context.getContentResolver(), "android_id");
        long l11 = (long) (str1.hashCode());
        long l1 = (long) (l11 << 32L);
        long l2 = (long) str2.hashCode();
        long l3 = l1 | l2;
        String str = new UUID(s.hashCode(), l3).toString();
        return str;
    }

	public synchronized static String getUnicodeCheck(Context context) {
        String deviceId = StringUtil.getAndroidId(context);
		return MD5.getMD5(deviceId + "_" + System.nanoTime() + "_" + "android");
	}
	
	public static boolean isNumber(String str) {
		return str.matches("\\d+");
	}

    public static boolean isCract(String str){
        return str.matches("[a-zA-Z]");
    }
	
	/**
	 * @return
	 */
	public static boolean isNumberWithCharacter(String str,Integer minLenth,Integer maxLenth) {
		if(minLenth!=null&&maxLenth!=null&&maxLenth<minLenth){
			return false;
		}
		if(minLenth!=null&&minLenth<0){
			return false;
		}
		if(maxLenth!=null&&maxLenth<0){
			return false;
		}
		String check_str = null;
		if(minLenth!=null&&maxLenth!=null){
			check_str = "[0-9a-zA-Z]{"+minLenth+","+maxLenth+"}";
		}else if(minLenth==null&&maxLenth==null){
			check_str = "[0-9a-zA-Z]*";
		}else if(minLenth!=null&&maxLenth==null){
			check_str = "[0-9a-zA-Z]{"+minLenth+",}";
		}else if(minLenth==null&&maxLenth!=null){
			check_str = "[0-9a-zA-Z]{0,"+maxLenth+"}";
		}
		
		Pattern pattern = Pattern.compile(check_str);
		Matcher match = pattern.matcher(str);
		if (match.matches() == false) {
			return false;
		} else {
			return true;
		}
	}
	
	public static String getStringFromList(List<String> strList, String divide) {
		StringBuffer buf = new StringBuffer("");
		boolean isNeedDivide = false;
		if(strList!=null){
			for (String where : strList) {
				if (isNeedDivide) {
					buf.append(divide);
				} else {
					isNeedDivide = true;
				}
				buf.append(where);
			}
		}
		return buf.toString();
	}
	
	public static Condition getOrCondition(String tname, String value, String divide){
        Condition condition = new Condition();
        if(TextUtils.isEmpty(value)){
            return condition;
        }
        StringBuffer buf = new StringBuffer("");
        String[] values = value.split(divide);
        List<String> valueList = new ArrayList<String>();
        for(String v:values){
            if(!TextUtils.isEmpty(v)){
                valueList.add(v);
            }
        }
        if(valueList.size()==0){
            return condition;
        }
        if(valueList.size()>1){
            buf.append("(");
        }
        int i=0;
        for(String v:valueList){
            if(i>0){
                buf.append(" or ");
            }
            buf.append(tname+"=?");
            condition.addParams(v);
            i++;
        }
        List<String> params = condition.getParamList();
        if(valueList.size()>1){
            buf.append(")");
        }
        condition.addWheres(buf.toString());
        return condition;
    }

    public static Condition getOrCondition(String tname, List<String> values){
        Condition condition = new Condition();
        if(values==null||values.size()==0){
            return condition;
        }
        StringBuffer buf = new StringBuffer("");
        List<String> valueList = new ArrayList<String>();
        for(String v:values){
            if(!TextUtils.isEmpty(v)){
                valueList.add(v);
            }
        }
        if(valueList.size()==0){
            return condition;
        }
        if(valueList.size()>1){
            buf.append("(");
        }
        int i=0;
        for(String v:valueList){
            if(i>0){
                buf.append(" or ");
            }
            buf.append(tname+"=?");
            condition.addParams(v);
            i++;
        }
        List<String> params = condition.getParamList();
        if(valueList.size()>1){
            buf.append(")");
        }
        condition.addWheres(buf.toString());
        return condition;
    }
    /**
     * 判断是否是手机号
     * @param phone
     * @return
     */
    public static boolean checkPhone(String phone) {
        Pattern pattern = Pattern
                .compile("^(13[0-9]|15[0-9]|153|15[6-9]|180|18[23]|18[5-9])\\d{8}$");
        Matcher matcher = pattern.matcher(phone);

        if (matcher.matches()) {
            return true;
        }
        return false;
    }
}
