package com.xh.common.util;

import android.app.Activity;
import android.content.Context;
import android.content.Intent;
import android.os.Vibrator;
import android.support.v4.app.Fragment;
import android.text.TextUtils;
import android.view.Gravity;
import android.widget.Toast;
import com.xh.common.bean.Qrcode;
import com.xh.common.constant.QrcodeConstant;

public class XxsgUtil {
    public static String getString(Context context, int... resourses) {
        if (resourses.length == 0) {
            return "";
        }
        if (resourses.length == 1) {
            return context.getString(resourses[0]);
        }
        StringBuffer sb = new StringBuffer("");
        for (int res : resourses) {
            sb.append(context.getString(res));
        }
        return sb.toString();
    }

    public static void toast(Context context, String value) {
        Toast.makeText(context, value, Toast.LENGTH_SHORT).show();
    }

    public static void toastCenter(Context context, String value) {
        Toast toast = Toast.makeText(context, value, Toast.LENGTH_SHORT);
        toast.setGravity(Gravity.CENTER, 0, 0);
        toast.show();
    }
    public static void toastTop(Context context, String value) {
        Toast toast = Toast.makeText(context, value, Toast.LENGTH_SHORT);
        toast.setGravity(Gravity.TOP, 0, 80);
        toast.show();
    }
    public static void gotoActivity(Activity activity, Class classes) {
        Intent intent = new Intent(activity, classes);
        activity.startActivity(intent);
    }

    public static void gotoActivityForResult(Activity activity, Class classes, int requestCode) {
        Intent intent = new Intent(activity, classes);
        activity.startActivityForResult(intent, requestCode);
    }

    public static void gotoActivity(Fragment fragment, Class classes) {
        Intent intent = new Intent(fragment.getActivity(), classes);
        fragment.startActivity(intent);
    }

    public static void gotoActivityForResult(Fragment fragment, Class classes, int requestCode) {
        Intent intent = new Intent(fragment.getActivity(), classes);
        fragment.startActivityForResult(intent, requestCode);
    }

    public static Qrcode analyticQrcode(String qrcode) {
        if (TextUtils.isEmpty(qrcode)) {
            return new Qrcode(QrcodeConstant.Type.INVALID, null, qrcode);
        }
        String[] qrcodeArr = qrcode.split(":");
        if (qrcodeArr.length != 2) {
            return new Qrcode(QrcodeConstant.Type.INVALID, null, qrcode);
        } else {
            String type = qrcodeArr[0];
            String entryId = qrcodeArr[1];
            Qrcode qrcodeEntry = null;
            if (QrcodeConstant.Type.CLASSES.toString().equals(type)) {
                qrcodeEntry = new Qrcode(QrcodeConstant.Type.CLASSES, entryId, qrcode);
            } else if (QrcodeConstant.Type.ACCOUNT.toString().equals(type)) {
                qrcodeEntry = new Qrcode(QrcodeConstant.Type.ACCOUNT, entryId, qrcode);
            } else if (QrcodeConstant.Type.STUDENT.toString().equals(type)) {
                qrcodeEntry = new Qrcode(QrcodeConstant.Type.STUDENT, entryId, qrcode);
            } else {
                qrcodeEntry = new Qrcode(QrcodeConstant.Type.INVALID, null, qrcode);
            }
            return qrcodeEntry;
        }
    }

    /**
     * 消息震动
     * @param vibrator
     */
    public static void phoneVibrator(Vibrator vibrator) {
        if(vibrator!=null){
            long[] pattern = new long[] { 0, 180, 80, 120 };
//            vibrator.vibrate(pattern, -1);
        }
    }

}
